curl --request GET \
--url https://app.nex.ai/api/developers/v1/context/artifacts/{artifact_id} \
--header 'Authorization: <api-key>'{
"operation_id": 48066188026052610,
"status": "completed",
"created_at": "2025-11-28T14:14:40Z",
"completed_at": "2025-11-28T14:14:41Z",
"result": {
"entities_extracted": [
{
"type": "COMPANY",
"context_id": 38485049540083710,
"canonical_entity_id": 25339323448557880,
"properties": {
"name": "Adobe",
"domain": "adobe.com"
},
"previous_properties": {
"name": "Adobe",
"domain": null
},
"is_new": false
},
{
"type": "PERSON",
"context_id": 38485049540083710,
"canonical_entity_id": 25339323448557884,
"properties": {
"name": "John Smith",
"email": "john.smith@adobe.com",
"job_title": "Product Manager"
},
"is_new": true
}
],
"entities_created": 1,
"entities_updated": 1,
"relationships_created": 1,
"insights_created": 3,
"tasks_suggested": 0
}
}Retrieve the results of a previously submitted ProcessText request using the artifact ID returned from the POST /v1/context/text endpoint.
curl --request GET \
--url https://app.nex.ai/api/developers/v1/context/artifacts/{artifact_id} \
--header 'Authorization: <api-key>'{
"operation_id": 48066188026052610,
"status": "completed",
"created_at": "2025-11-28T14:14:40Z",
"completed_at": "2025-11-28T14:14:41Z",
"result": {
"entities_extracted": [
{
"type": "COMPANY",
"context_id": 38485049540083710,
"canonical_entity_id": 25339323448557880,
"properties": {
"name": "Adobe",
"domain": "adobe.com"
},
"previous_properties": {
"name": "Adobe",
"domain": null
},
"is_new": false
},
{
"type": "PERSON",
"context_id": 38485049540083710,
"canonical_entity_id": 25339323448557884,
"properties": {
"name": "John Smith",
"email": "john.smith@adobe.com",
"job_title": "Product Manager"
},
"is_new": true
}
],
"entities_created": 1,
"entities_updated": 1,
"relationships_created": 1,
"insights_created": 3,
"tasks_suggested": 0
}
}API key for authentication (format: "Bearer YOUR_API_KEY")
Artifact ID returned from ProcessText
Artifact details with processing results
Unique identifier for the processing operation
Current operation status
unknown, pending, processing, completed, failed Processing results (when status is 'completed')
Hide child attributes
Array of extracted entities with details
Hide child attributes
Entity type (PERSON, COMPANY, ENGAGEMENT)
Internal context ID
Entity ID (if linked)
Entity properties (name, email, job_title, domain, etc.)
Properties before this operation (for updates)
Whether entity was created in this operation
Number of new entities created
Number of existing entities updated
Number of relationships established
Number of insights generated
Number of tasks suggested
Error message if status is 'failed'
Operation creation timestamp
Operation completion timestamp